Loading...
Searching...
No Matches
gx_preset::PresetIO Class Reference

`#include <gx_preset.h>`

Inheritance diagram for gx_preset::PresetIO:

## Public Member Functions

| PresetIO (gx_engine::MidiControllerList &mctrl, gx_engine::ParamMap &param, gx_system::CmdlineOptions &opt, UnitRacks &rack_units)
| ~PresetIO ()
void | read_preset (gx_system::JsonParser &jp, const gx_system::SettingsFileHeader &) override
void | commit_preset () override
void | write_preset (gx_system::JsonWriter &jw) override
void | copy_preset (gx_system::JsonParser &jp, const gx_system::SettingsFileHeader &, gx_system::JsonWriter &jw) override
Public Member Functions inherited from gx_system::AbstractPresetIO
virtual | ~AbstractPresetIO ()

## Static Public Member Functions

static string | try_replace_param_value (const std::string &id, const std::string &v_id, bool &found)

## Protected Member Functions

void | read_parameters (gx_system::JsonParser &jp, bool preset)
void | write_parameters (gx_system::JsonWriter &w, bool preset)
void | clear ()
bool | midi_in_preset ()
void | read_intern (gx_system::JsonParser &jp, bool *has_midi, const gx_system::SettingsFileHeader &head)
void | fixup_parameters (const gx_system::SettingsFileHeader &head)
void | write_intern (gx_system::JsonWriter &w, bool write_midi)
bool | convert_old (gx_system::JsonParser &jp)
void | collectRackOrder (gx_engine::Parameter *p, gx_system::JsonParser &jp, UnitsCollector &u)
void | commit_midi_feedback (gx_engine::Parameter *p)

## Protected Attributes

gx_engine::MidiControllerList & | mctrl
gx_engine::ParamMap & | param
gx_system::CmdlineOptions & | opt
gx_engine::paramlist | plist
gx_engine::ControllerArray * | m
UnitRacks & | rack_units

## Friends

class | StateIO

## Detailed Description

Definition at line 68 of file gx_preset.h.

## Constructor & Destructor Documentation

## PresetIO()

gx_preset::PresetIO::PresetIO | ( | gx_engine::MidiControllerList & | mctrl,
|  | gx_engine::ParamMap & | param,
|  | gx_system::CmdlineOptions & | opt,
|  | UnitRacks & | rack_units )

## ~PresetIO()

gx_preset::PresetIO::~PresetIO | ( |  | ) |

## Member Function Documentation

## clear()

void gx_preset::PresetIO::clear | ( |  | ) |

protected

## collectRackOrder()

void gx_preset::PresetIO::collectRackOrder | ( | gx_engine::Parameter * | p,
|  | gx_system::JsonParser & | jp,
|  | UnitsCollector & | u )

protected

## commit_midi_feedback()

void gx_preset::PresetIO::commit_midi_feedback | ( | gx_engine::Parameter * | p | ) |

protected

## commit_preset()

void gx_preset::PresetIO::commit_preset | ( |  | ) |

override virtual

Implements gx_system::AbstractPresetIO.

## convert_old()

bool gx_preset::PresetIO::convert_old | ( | gx_system::JsonParser & | jp | ) |

protected

## copy_preset()

void gx_preset::PresetIO::copy_preset | ( | gx_system::JsonParser & | jp,
|  | const gx_system::SettingsFileHeader & | ,
|  | gx_system::JsonWriter & | jw )

override virtual

Implements gx_system::AbstractPresetIO.

## fixup_parameters()

void gx_preset::PresetIO::fixup_parameters | ( | const gx_system::SettingsFileHeader & | head | ) |

protected

## midi_in_preset()

bool gx_preset::PresetIO::midi_in_preset | ( |  | ) |

protected

## read_intern()

void gx_preset::PresetIO::read_intern | ( | gx_system::JsonParser & | jp,
|  | bool * | has_midi,
|  | const gx_system::SettingsFileHeader & | head )

protected

## read_parameters()

void gx_preset::PresetIO::read_parameters | ( | gx_system::JsonParser & | jp,
|  | bool | preset )

protected

## read_preset()

void gx_preset::PresetIO::read_preset | ( | gx_system::JsonParser & | jp,
|  | const gx_system::SettingsFileHeader & | )

override virtual

Implements gx_system::AbstractPresetIO.

## try_replace_param_value()

string gx_preset::PresetIO::try_replace_param_value | ( | const std::string & | id,
|  | const std::string & | v_id,
|  | bool & | found )

static

## write_intern()

void gx_preset::PresetIO::write_intern | ( | gx_system::JsonWriter & | w,
|  | bool | write_midi )

protected

## write_parameters()

void gx_preset::PresetIO::write_parameters | ( | gx_system::JsonWriter & | w,
|  | bool | preset )

protected

## write_preset()

void gx_preset::PresetIO::write_preset | ( | gx_system::JsonWriter & | jw | ) |

override virtual

Implements gx_system::AbstractPresetIO.

## Friends And Related Symbol Documentation

## StateIO

friend class StateIO

friend

Definition at line 87 of file gx_preset.h.

Referenced by StateIO.

## Member Data Documentation

## m

gx_engine::ControllerArray* gx_preset::PresetIO::m

protected

Definition at line 74 of file gx_preset.h.

## mctrl

gx_engine::MidiControllerList& gx_preset::PresetIO::mctrl

protected

Definition at line 70 of file gx_preset.h.

Referenced by PresetIO(), and gx_preset::StateIO::StateIO().

## opt

gx_system::CmdlineOptions& gx_preset::PresetIO::opt

protected

Definition at line 72 of file gx_preset.h.

Referenced by PresetIO(), and gx_preset::StateIO::StateIO().

## param

gx_engine::ParamMap& gx_preset::PresetIO::param

protected

Definition at line 71 of file gx_preset.h.

Referenced by PresetIO(), and gx_preset::StateIO::StateIO().

## plist

gx_engine::paramlist gx_preset::PresetIO::plist

protected

Definition at line 73 of file gx_preset.h.

## rack_units

UnitRacks& gx_preset::PresetIO::rack_units

protected

Definition at line 75 of file gx_preset.h.

Referenced by PresetIO(), and gx_preset::StateIO::StateIO().

The documentation for this class was generated from the following file:

- src/headers/gx_preset.h